import { EmbedBuilder, SlashCommandBuilder } from 'discord.js';

export default {
  data: new SlashCommandBuilder()
    .setName('cat')
    .setDescription('Get a random cat!'),
  async execute(interaction, api) {
    await api.handle('cat')
      .then(async (res) => {
        await interaction.reply(res);
      })
      .catch(async (e) => {
        const embed = new EmbedBuilder()
          .setTitle('Sorry, the Cat service is unavailable right now')
          .setColor(0xFF0000);
        await interaction.reply({ embeds: [ embed ] });
      });
  }
};
