import axios from 'axios';
import APIService from '../services/APIService.js';

const APIHandler = class {
  constructor() {
    this.httpClient = axios.create();
    this.httpClient.defaults.timeout = 1000;

    this.APIService = new APIService();
  }

  async init() {
    await this.APIService.init();
    return this;
  }

  async handle(api) {
    try {
      return await this.APIService.get(api)(this.httpClient);
    } catch (e) {
      throw e;
    }
  }
};

export default APIHandler;
